# Data Object Options Object

Data object parameters is used for programmatic operations to express complex data object structures.&#x20;

<table><thead><tr><th width="157">Field</th><th width="231">Type</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td><code>string</code></td><td>The label of the widget.</td></tr><tr><td>hintText</td><td><code>string</code></td><td>Provides help text describing what value is expected in control.</td></tr><tr><td>defaultValue</td><td><code>string</code></td><td>Default value.</td></tr><tr><td>objectType</td><td> <code>JSON</code> or <code>XML</code></td><td>The type of the input object.</td></tr></tbody></table>

### Example <a href="#example" id="example"></a>

{% code lineNumbers="true" %}

```json
{
  "name": "Seller address",
  "hintText": "Provide seller address",
  "defaultValue": "Seller",
  "objectType": "JSON"
}
```

{% endcode %}

### Value Example <a href="#example" id="example"></a>

{% code lineNumbers="true" %}

```json
{
  "auth": {
    "token": "the token",
    "signature": "the signature"
  },
  "URI": "https://example.com"
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/catalog-api/parameter/data-object-options-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
